#!/bin/sh

set -e

mkdir /mnt/ramdisk/tip-20140910-150333
cp -L -R /mnt/shared/tip-20140910-150333/src /mnt/ramdisk/tip-20140910-150333
mkdir /mnt/ramdisk/tip-20140910-150333/jdk
tar --strip-components=1 --directory=/mnt/ramdisk/tip-20140910-150333/jdk -xzf /mnt/shared/tip-20140910-150333/jdk-7u67-linux-i586.tar.gz

BUILDROOT="/mnt/ramdisk/tip-20140910-150333/buildroot"
mkdir "$BUILDROOT"
cd "$BUILDROOT"

bash /mnt/ramdisk/tip-20140910-150333/src/configure \
--with-boot-jdk=/mnt/ramdisk/tip-20140910-150333/jdk \
    --with-zlib=system     --disable-debug-symbols     --disable-zip-debug-info     --with-num-cores=4     --with-jobs=4     --with-debug-level=release 1> /mnt/shared/tip-20140910-150333/configure.log 2>&1

make images 1> /mnt/shared/tip-20140910-150333/make.log 2>&1

IMG_DIR="/mnt/shared/jdk-images/8"
mkdir -p "$IMG_DIR"
cd "$BUILDROOT/images"
TIMESTAMP="$(date --utc +%Y%m%d-%H%M%S)"
mv j2sdk-image "tip-$TIMESTAMP"
tar -cJf "$IMG_DIR/tip-$TIMESTAMP.tar.xz" "tip-$TIMESTAMP"

rm -rf "/mnt/ramdisk/tip-20140910-150333"
